DASD_ID(8)

NAME
dasd_id - udev callout to read label from s390 block device

SYNOPSIS
dasd_id [--export] blockdevice

DESCRIPTION
dasd_id is normally called from a udev rule, to provide udev with a unique string and additional information (type, serial) for an S390 drive. Udev can use this information to create symlinks in /dev/disk/by-id and /dev/disk/by-label to the real device node.

USAGE
dasd_id opens the blockdevice node specified at the commandline and prints the information chosen by the options.

OPTIONS
The following commandline switches are supported to specify what dasd_id should print:

--export
    print all values (instead of only the serial)

SEE ALSO
udev(7)

AUTHORS
Developed by Arnd Bergmann <arnd@arndb.de> and Kay Sievers <kay.sievers@vrfy.org>.